Page MenuHomePhabricator

Annotate pageview data to alert users that previously included mobile app pageview data is NOT included in refined pageview datasets
Closed, ResolvedPublic

Description

Due to a change in how pages are surfaced in the Mobile Apps, pageview counts for mobile apps were not included in pageview data between May and July. We would like to annotate pageview datasets to alert users (Foundation internal, community members, and researchers) to the fact that pageviews from apps were dropped during that time period.

  • Annotations/documentation for externally available datasets
  • Annotations/documentation for Foundation internal (Superset, Key Product Metrics, other?)

Event Timeline

kzimmerman renamed this task from [REQUEST] Notation for mobile app pageview data not included in refined pageview datasets to Annotate pageview data to alert users that previously included mobile app pageview data is NOT included in refined pageview datasets.Jul 21 2020, 8:48 PM
kzimmerman added projects: Analytics, Research.
kzimmerman updated the task description. (Show Details)
kzimmerman added subscribers: Nuria, leila, kzimmerman.EditedJul 21 2020, 8:51 PM

@leila @Nuria where should we add annotations so people are aware of the impact from the app pageview data?

https://meta.wikimedia.org/wiki/Dashiki:PageviewsAnnotations
https://meta.wikimedia.org/wiki/Research:Page_view

... other places??

kzimmerman updated the task description. (Show Details)Jul 21 2020, 8:53 PM
Nuria added a comment.Jul 21 2020, 9:18 PM

The definition page does not need to be updated.

LGoto triaged this task as Medium priority.Jul 28 2020, 5:21 PM
LGoto moved this task from Triage to Needs Investigation on the Product-Analytics board.
fdans closed this task as Resolved.Aug 3 2020, 4:11 PM
SNowick_WMF updated the task description. (Show Details)Sep 1 2020, 7:15 PM

Affected Builds:
Android Build 2.7.50318-r-2020-05-18
iOS Build 6.6.1 1743 2020-06-05

Resolved Builds:
Android Build 2.7.50324-r-2020-06-30
iOS Build 6.6.2 2020-07-13

Incident Report